Skip to navigation

List Wishlists

Returns a list of wishlists. Optional filter parameters can be passed in.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

customer_idintegerOptional
All wishlists relating to the customer.
pageintegerOptionalDefaults to 1
The page number of results to return. 1 is the default and starts from record 0. Use in conjunction with the limit query parameter to request a specific set of records.
limitintegerOptional<=250Defaults to 50
The number of items to return per page. Default is 50 and maximum is 250.

Response

OK
datalist of objectsOptional
metaobjectOptional

Errors

401
Unauthorized Error
500
Internal Server Error